local VERSION = tonumber(("$Revision: 43549 $"):match("%d+"))

local Parrot = Parrot
local Parrot_Triggers = Parrot:NewModule("Triggers", "AceEvent-2.0", "Parser-3.0")
if Parrot.revision < VERSION then
	Parrot.version = "r" .. VERSION
	Parrot.revision = VERSION
	Parrot.date = ("$Date: 2007-07-11 19:49:00 -0400 (Wed, 11 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local L = Parrot:L("Parrot_Triggers")

Parrot_Triggers.db = Parrot:AcquireDBNamespace("Triggers")
Parrot:RegisterDefaults("Triggers", 'profile', {})

local Parrot_TriggerConditions
function Parrot_Triggers:OnEnable()
	Parrot_TriggerConditions = Parrot:GetModule("TriggerConditions")
end

